# boost::numeric::ublas::matrix_move_to_manip< T > Class Template Reference

A move_to matrix manipulator. More...

Inherits index_manipulator< matrix_move_to_manip< T > >.

List of all members.

## Public Member Functions

BOOST_UBLAS_INLINE | matrix_move_to_manip (T k, T l)
template<typename V1 , typename V2 >
BOOST_UBLAS_INLINE void | manip (V1 &k, V2 &l) const

## Detailed Description

### template<typename T>
class boost::numeric::ublas::matrix_move_to_manip< T >

When member function `manip` is called the referenced index will be set to the manipulators' index

See also:
  move_to(T i, T j)